{
  "openapi": "3.1.0",
  "info": {
    "title": "SOLO Network API",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.solo.one",
      "description": "Production"
    },
    {
      "url": "https://api.sandbox.solo.one",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/v1/consent/business": {
      "post": {
        "tags": [
          "Business"
        ],
        "summary": "Create a business consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.",
        "description": "Create a business consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.",
        "operationId": "consent_business_create_v1_consent_business_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ConsentBusinessCreateInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConsentBusinessCreateOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/consent/consumer": {
      "post": {
        "tags": [
          "Consumer"
        ],
        "summary": "Create a consumer consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.",
        "description": "Create a consumer consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.",
        "operationId": "consent_consumer_create_v1_consent_consumer_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ConsentConsumerCreateInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConsentConsumerCreateOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/consent/consumer/{consent_id}": {
      "get": {
        "tags": [
          "Consumer"
        ],
        "summary": "Read a consumer consent record by consent_id.",
        "description": "Read a consumer consent record by consent_id.",
        "operationId": "consent_consumer_read_v1_consent_consumer__consent_id__get",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "consent_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "title": "Consent Id"
            }
          },
          {
            "name": "network_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "description": "Network scope for the consent lookup",
              "title": "Network Id"
            },
            "description": "Network scope for the consent lookup"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConsentConsumerCreateOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      },
      "put": {
        "tags": [
          "Consumer"
        ],
        "summary": "Update a consumer consent record's scope, expiry, or consented fields. Identity fields are immutable.",
        "description": "Update a consumer consent record's scope, expiry, or consented fields. Identity fields are immutable.",
        "operationId": "consent_consumer_update_v1_consent_consumer__consent_id__put",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "consent_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "title": "Consent Id"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ConsentConsumerUpdateInput"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConsentConsumerCreateOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/v1/entities/consumer/search": {
      "get": {
        "tags": [
          "Entities"
        ],
        "summary": "Search consumer core identities by name, email, SSN, or date of birth.",
        "description": "Search consumer core identities using partial or exact field matches.\n\nParameters\n----\n`network_id` : `UUID`.\n    Network scope for the search.\n\n`first_name` : `str`, optional.\n    Case-insensitive partial match on first name.\n\n`last_name` : `str`, optional.\n    Case-insensitive partial match on last name.\n\n`personal_email` : `str`, optional.\n    Case-insensitive partial match on email.\n\n`social_security_number` : `str`, optional.\n    Exact match on SSN.\n\n`date_of_birth` : `str`, optional.\n    Exact match on date of birth (``YYYY-MM-DD``).\n\n`limit` : `int`.\n    Maximum number of results (1-100). Defaults to 20.\n\nReturns\n----\n`results` : `list[ConsumerSearchResult]`.\n    Matching consumer core identities.\n\nExamples\n-----\n```\nGET /entities/consumer/search?network_id=...&first_name=John&last_name=Doe&limit=10\n```",
        "operationId": "search_consumers_v1_entities_consumer_search_get",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "network_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "description": "Network scope for the search",
              "title": "Network Id"
            },
            "description": "Network scope for the search"
          },
          {
            "name": "first_name",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Partial match on first name",
              "title": "First Name"
            },
            "description": "Partial match on first name"
          },
          {
            "name": "last_name",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Partial match on last name",
              "title": "Last Name"
            },
            "description": "Partial match on last name"
          },
          {
            "name": "personal_email",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Partial match on email",
              "title": "Personal Email"
            },
            "description": "Partial match on email"
          },
          {
            "name": "social_security_number",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Exact match on SSN",
              "title": "Social Security Number"
            },
            "description": "Exact match on SSN"
          },
          {
            "name": "date_of_birth",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Exact match on date of birth (YYYY-MM-DD)",
              "title": "Date Of Birth"
            },
            "description": "Exact match on date of birth (YYYY-MM-DD)"
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "maximum": 100,
              "minimum": 1,
              "description": "Max results",
              "default": 20,
              "title": "Limit"
            },
            "description": "Max results"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ConsumerSearchResult"
                  },
                  "title": "Response Search Consumers V1 Entities Consumer Search Get"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/v1/entities/business/search": {
      "get": {
        "tags": [
          "Entities"
        ],
        "summary": "Search business core identities by name, EIN, or email.",
        "description": "Search business core identities using partial or exact field matches.\n\nParameters\n----\n`network_id` : `UUID`.\n    Network scope for the search.\n\n`business_legal_name` : `str`, optional.\n    Case-insensitive partial match on legal name.\n\n`business_dba_name` : `str`, optional.\n    Case-insensitive partial match on DBA name.\n\n`business_email` : `str`, optional.\n    Case-insensitive partial match on email.\n\n`federal_ein` : `int`, optional.\n    Exact match on federal EIN.\n\n`limit` : `int`.\n    Maximum number of results (1-100). Defaults to 20.\n\nReturns\n----\n`results` : `list[BusinessSearchResult]`.\n    Matching business core identities.\n\nExamples\n-----\n```\nGET /entities/business/search?network_id=...&business_legal_name=Acme&limit=10\n```",
        "operationId": "search_businesses_v1_entities_business_search_get",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "network_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "description": "Network scope for the search",
              "title": "Network Id"
            },
            "description": "Network scope for the search"
          },
          {
            "name": "business_legal_name",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Partial match on legal name",
              "title": "Business Legal Name"
            },
            "description": "Partial match on legal name"
          },
          {
            "name": "business_dba_name",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Partial match on DBA name",
              "title": "Business Dba Name"
            },
            "description": "Partial match on DBA name"
          },
          {
            "name": "business_email",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Partial match on email",
              "title": "Business Email"
            },
            "description": "Partial match on email"
          },
          {
            "name": "federal_ein",
            "in": "query",
            "required": false,
            "schema": {
              "anyOf": [
                {
                  "type": "integer"
                },
                {
                  "type": "null"
                }
              ],
              "description": "Exact match on federal EIN",
              "title": "Federal Ein"
            },
            "description": "Exact match on federal EIN"
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "maximum": 100,
              "minimum": 1,
              "description": "Max results",
              "default": 20,
              "title": "Limit"
            },
            "description": "Max results"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BusinessSearchResult"
                  },
                  "title": "Response Search Businesses V1 Entities Business Search Get"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/v1/institution-attestation": {
      "post": {
        "tags": [
          "Institution Attestation"
        ],
        "summary": "Create or renew an institution attestation for a product.",
        "description": "Create a new institution-level attestation scoped to the caller's entity and product.\n\nThe attestation is valid for 12 months from the time it is created.\nCreating a new attestation does not revoke prior ones; the most\nrecently created active attestation for a given product is treated\nas the current one.\n\nParameters\n----------\n`body` : `InstitutionAttestationCreateRequest`.\n    Attestation payload.\n\nReturns\n-------\n`response` : `InstitutionAttestationResponse`.\n    The newly created attestation record.",
        "operationId": "create_institution_attestation_v1_institution_attestation_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/InstitutionAttestationCreateRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InstitutionAttestationResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/networks/policies/querying": {
      "post": {
        "tags": [
          "Querying Policies"
        ],
        "summary": "Create a querying policy for a (product, network) pair.",
        "description": "Create a new querying policy for a (product, network) pair.\n\nThe ``(network_id, product_id)`` pair is resolved server-side to its\nnetwork-product association (auto-creating it if missing). Per-model\nand per-field selections for the policy are authored separately via\n``PUT /networks/policies/querying/{policy_id}/configuration``.",
        "operationId": "create_querying_policy_v1_networks_policies_querying_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateQueryingPolicyInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateQueryingPolicyResult"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/networks/policies/querying/{policy_id}/configuration": {
      "put": {
        "tags": [
          "Querying Policies"
        ],
        "summary": "Save per-field selections onto an existing querying policy.",
        "description": "Persist per-field selections onto an existing querying policy.\n\nReplaces the policy's per-model and per-field selections with the\nsubmitted set. The policy is left in ``published`` status.",
        "operationId": "save_querying_policy_configuration_v1_networks_policies_querying__policy_id__configuration_put",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "policy_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "title": "Policy Id"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SaveQueryingPolicyConfigurationInput"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SaveQueryingPolicyConfigurationResult"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/v1/networks/policies/furnishing": {
      "get": {
        "tags": [
          "Furnishing Policies"
        ],
        "summary": "List furnishing policies in a network.",
        "description": "List furnishing policies visible within a network scope.\n\nResults are paginated with ``limit`` (1-100, default 20) and\n``offset`` (>=0, default 0).\n\nParameters\n----\n`network_id` : `UUID`.\n    Network scope for the listing.\n\n`limit` : `int`.\n    Maximum number of results. Defaults to 20.\n\n`offset` : `int`.\n    Number of results to skip. Defaults to 0.\n\nReturns\n----\n`results` : `list[FurnishingPolicyResult]`.\n    Page of matching furnishing policies.\n\nExamples\n-----\n```\nGET /networks/policies/furnishing?network_id=...&limit=10\n```",
        "operationId": "list_furnishing_policies_v1_networks_policies_furnishing_get",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "network_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "description": "Network scope for the listing.",
              "title": "Network Id"
            },
            "description": "Network scope for the listing."
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "maximum": 100,
              "minimum": 1,
              "description": "Maximum number of results.",
              "default": 20,
              "title": "Limit"
            },
            "description": "Maximum number of results."
          },
          {
            "name": "offset",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 0,
              "description": "Number of results to skip.",
              "default": 0,
              "title": "Offset"
            },
            "description": "Number of results to skip."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/FurnishingPolicyResult"
                  },
                  "title": "Response List Furnishing Policies V1 Networks Policies Furnishing Get"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/v1/networks/policies/furnishing/{policy_id}": {
      "get": {
        "tags": [
          "Furnishing Policies"
        ],
        "summary": "Get a furnishing policy by id.",
        "description": "Fetch a single furnishing policy by id, scoped to a network.\n\nParameters\n----\n`policy_id` : `UUID`.\n    Identifier of the furnishing policy to fetch.\n\n`network_id` : `UUID`.\n    Network scope for the lookup.\n\nReturns\n----\n`result` : `FurnishingPolicyResult`.\n    The matching furnishing policy.\n\nRaises\n----\n`NotFoundError`.\n    If no furnishing policy with the given id is visible within the\n    given network scope.\n\nExamples\n-----\n```\nGET /networks/policies/furnishing/{policy_id}?network_id=...\n```",
        "operationId": "get_furnishing_policy_v1_networks_policies_furnishing__policy_id__get",
        "security": [
          {
            "HTTPBearer": []
          }
        ],
        "parameters": [
          {
            "name": "policy_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "title": "Policy Id"
            }
          },
          {
            "name": "network_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "description": "Network scope for the lookup.",
              "title": "Network Id"
            },
            "description": "Network scope for the lookup."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FurnishingPolicyResult"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/v1/products/kyc_certificate/query": {
      "post": {
        "tags": [
          "KYC Certificate"
        ],
        "summary": "Query consolidated KYC certificate data for a consumer",
        "operationId": "kyc_certificate_query_v1_products_kyc_certificate_query_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/KYCCertificateQueryInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KYCCertificateQueryOutput"
                }
              }
            }
          },
          "204": {
            "description": "No certificate could be created \u2014 the available data did not satisfy the policy requirements."
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/kyc_certificate/furnish": {
      "post": {
        "tags": [
          "KYC Certificate"
        ],
        "summary": "Furnish KYC certificate data via structured JSON",
        "operationId": "kyc_certificate_furnish_v1_products_kyc_certificate_furnish_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/KYCCertificateFurnishInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KYCCertificateFurnishOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/kyc_certificate/furnish_via_upload": {
      "post": {
        "tags": [
          "KYC Certificate"
        ],
        "summary": "Furnish KYC certificate data via Excel file upload",
        "operationId": "kyc_certificate_furnish_via_upload_v1_products_kyc_certificate_furnish_via_upload_post",
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/Body_kyc_certificate_furnish_via_upload_v1_products_kyc_certificate_furnish_via_upload_post"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KYCCertificateFurnishOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/kyb_certificate/query": {
      "post": {
        "tags": [
          "KYB Certificate"
        ],
        "summary": "Query consolidated KYB certificate data for a business",
        "operationId": "kyb_certificate_query_v1_products_kyb_certificate_query_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/KYBCertificateQueryInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KYBCertificateQueryOutput"
                }
              }
            }
          },
          "204": {
            "description": "No certificate could be created \u2014 the available data did not satisfy the policy requirements."
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/kyb_certificate/furnish": {
      "post": {
        "tags": [
          "KYB Certificate"
        ],
        "summary": "Furnish KYB certificate data via structured JSON",
        "operationId": "kyb_certificate_furnish_v1_products_kyb_certificate_furnish_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/KYBCertificateFurnishInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KYBCertificateFurnishOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/kyb_certificate/furnish_via_upload": {
      "post": {
        "tags": [
          "KYB Certificate"
        ],
        "summary": "Furnish KYB certificate data via Excel file upload",
        "operationId": "kyb_certificate_furnish_via_upload_v1_products_kyb_certificate_furnish_via_upload_post",
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/Body_kyb_certificate_furnish_via_upload_v1_products_kyb_certificate_furnish_via_upload_post"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KYBCertificateFurnishOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/bank_specific_bad_actor_list/query": {
      "post": {
        "tags": [
          "Bank-Specific Bad Actor List"
        ],
        "summary": "Query the bank-specific bad actor list for a consumer or business",
        "operationId": "bank_specific_bad_actor_list_query_v1_products_bank_specific_bad_actor_list_query_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BankSpecificBadActorListQueryInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BankSpecificBadActorListQueryOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/cross_bank_financial_crimes_watch_list/query": {
      "post": {
        "tags": [
          "Cross-Bank Financial Crimes Watch List"
        ],
        "summary": "Query the cross-bank financial crimes watch list for a consumer or business",
        "operationId": "cross_bank_financial_crimes_watch_list_query_v1_products_cross_bank_financial_crimes_watch_list_query_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CrossBankFinancialCrimesWatchListQueryInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CrossBankFinancialCrimesWatchListQueryOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/products/check": {
      "post": {
        "tags": [
          "Product Coverage Check"
        ],
        "summary": "Soft check: per-furnisher field coverage for a product and profile",
        "operationId": "product_coverage_check_v1_products_check_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CoverageCheckInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CoverageCheckOutput"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/v1/file-upload/ingest": {
      "post": {
        "tags": [
          "File Upload"
        ],
        "summary": "Upload a CSV file for ingestion",
        "description": "Upload a CSV file and queue it for ingestion.\n\nThe file is accepted synchronously and processed asynchronously. The\nresponse contains a record describing the upload; its ``status`` begins\nas ``pending`` and transitions to ``processing`` and then ``completed``\n(or ``failed``) as ingestion proceeds.\n\nParameters\n----\n`file` : multipart file.\n    The CSV file to upload.\n\n`slug` : `str`.\n    The data category for this upload (e.g. ``kyc_cert_policy``,\n    ``kyb_cert_policy``). Must be one of the categories supported for\n    your account.\n\nReturns\n----\n`file_upload` : `FileUpload`.\n    The created upload record, including its ``id`` and current\n    ``status``.\n\nRaises\n----\n`ValidationError`.\n    If the file name or ``slug`` is invalid.\n\nExamples\n-----\n```bash\n>>> curl -X POST https://app.solo.one/file-upload/ingest \\\n...   -H \"Authorization: Bearer $TOKEN\" \\\n...   -F \"file=@sample.csv\" \\\n...   -F \"slug=kyc_cert_policy\"\n```",
        "operationId": "ingest_csv_v1_file_upload_ingest_post",
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/Body_ingest_csv_v1_file_upload_ingest_post"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FileUpload"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/graphql": {
      "get": {
        "summary": "Handle Http Get",
        "operationId": "handle_http_get_graphql_get",
        "responses": {
          "200": {
            "description": "The GraphiQL integrated development environment.",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          },
          "404": {
            "description": "Not found if GraphiQL or query via GET are not enabled."
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      },
      "post": {
        "summary": "Handle Http Post",
        "operationId": "handle_http_post_graphql_post",
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          }
        },
        "security": [
          {
            "HTTPBearer": []
          }
        ]
      }
    },
    "/health": {
      "get": {
        "summary": "Health",
        "operationId": "health_health_get",
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          }
        }
      }
    },
    "/version": {
      "get": {
        "summary": "Version",
        "operationId": "version_version_get",
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "AddressCaptureAssertions": {
        "properties": {
          "address_capture_assertion": {
            "type": "boolean",
            "title": "Address Capture Assertion"
          },
          "address_capture_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Capture Timestamp"
          }
        },
        "type": "object",
        "required": [
          "address_capture_assertion"
        ],
        "title": "AddressCaptureAssertions"
      },
      "AddressCaptureData": {
        "properties": {
          "address_category": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Category"
          }
        },
        "type": "object",
        "title": "AddressCaptureData"
      },
      "AddressCaptureEventInput": {
        "properties": {
          "is_address_captured": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Address Captured"
          },
          "address_capture_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Capture Timestamp"
          },
          "is_address_verified": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Address Verified"
          },
          "address_verification_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Verification Timestamp"
          },
          "is_match": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Match"
          },
          "address_verification_method_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Verification Method Type"
          }
        },
        "additionalProperties": true,
        "type": "object",
        "title": "AddressCaptureEventInput"
      },
      "AddressCaptureSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/AddressCaptureAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/AddressCaptureData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "AddressCaptureSubProduct"
      },
      "AddressInput": {
        "properties": {
          "line_1": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Line 1"
          },
          "line_2": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Line 2"
          },
          "city": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "City"
          },
          "state": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "State"
          },
          "zip": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Zip"
          },
          "country": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Country"
          },
          "type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Type"
          },
          "address_capture_events": {
            "anyOf": [
              {
                "items": {
                  "$ref": "#/components/schemas/AddressCaptureEventInput"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Capture Events"
          }
        },
        "additionalProperties": true,
        "type": "object",
        "title": "AddressInput"
      },
      "AddressVerificationAssertions": {
        "properties": {
          "address_verification_assertion": {
            "type": "boolean",
            "title": "Address Verification Assertion"
          },
          "address_verification_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Verification Timestamp"
          }
        },
        "type": "object",
        "required": [
          "address_verification_assertion"
        ],
        "title": "AddressVerificationAssertions"
      },
      "AddressVerificationData": {
        "properties": {
          "address_verification_methods": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Verification Methods"
          },
          "address_verification_outcomes": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Verification Outcomes"
          },
          "total_address_sources_consulted": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Total Address Sources Consulted"
          },
          "address_source_count_full_match": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Source Count Full Match"
          },
          "address_source_count_inconclusive": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Source Count Inconclusive"
          },
          "address_source_count_no_match": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Source Count No Match"
          },
          "address_source_count_partial_match_street_and_city_only": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Source Count Partial Match Street And City Only"
          },
          "address_source_count_partial_match_zip_only": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Source Count Partial Match Zip Only"
          }
        },
        "type": "object",
        "title": "AddressVerificationData"
      },
      "AddressVerificationSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/AddressVerificationAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/AddressVerificationData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "AddressVerificationSubProduct"
      },
      "BankSpecificBadActorListQueryInput": {
        "properties": {
          "policy_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Policy Id",
            "description": "Querying policy applied across every network in network_ids. If omitted, each network's default policy is used."
          },
          "network_ids": {
            "items": {
              "type": "string",
              "format": "uuid"
            },
            "type": "array",
            "minItems": 1,
            "title": "Network Ids",
            "description": "Networks to query across; the single policy is applied to all of them."
          },
          "furnishing_entity_ids": {
            "anyOf": [
              {
                "items": {
                  "type": "string",
                  "format": "uuid"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Ids",
            "description": "Optional furnishing-entity scope. When omitted or empty, data from all furnishers is considered."
          },
          "consent_id": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Consent Id",
            "description": "Consent token \u2014 system resolves identity + applies field access filtering."
          },
          "consumer_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Consumer Id",
            "description": "Consumer profile primary key (Consumer.id) for permissible-purpose queries."
          }
        },
        "type": "object",
        "required": [
          "network_ids"
        ],
        "title": "BankSpecificBadActorListQueryInput"
      },
      "BankSpecificBadActorListQueryOutput": {
        "properties": {
          "query_event_id": {
            "type": "string",
            "format": "uuid",
            "title": "Query Event Id"
          },
          "consumer_id": {
            "type": "string",
            "format": "uuid",
            "title": "Consumer Id"
          },
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "is_listed": {
            "type": "boolean",
            "title": "Is Listed"
          },
          "bad_actor_list_placement_date": {
            "anyOf": [
              {
                "type": "string",
                "format": "date"
              },
              {
                "type": "null"
              }
            ],
            "title": "Bad Actor List Placement Date"
          },
          "bad_actor_list_reason_code": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Bad Actor List Reason Code"
          }
        },
        "type": "object",
        "required": [
          "query_event_id",
          "consumer_id",
          "is_listed"
        ],
        "title": "BankSpecificBadActorListQueryOutput"
      },
      "BiometricCaptureAssertions": {
        "properties": {
          "biometric_capture_assertion": {
            "type": "boolean",
            "title": "Biometric Capture Assertion"
          },
          "biometric_capture_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Capture Timestamp"
          }
        },
        "type": "object",
        "required": [
          "biometric_capture_assertion"
        ],
        "title": "BiometricCaptureAssertions"
      },
      "BiometricCaptureData": {
        "properties": {
          "biometric_artifact": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Artifact"
          },
          "biometric_capture_method": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Capture Method"
          }
        },
        "type": "object",
        "title": "BiometricCaptureData"
      },
      "BiometricCaptureEventInput": {
        "properties": {
          "is_biometric_captured": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Biometric Captured"
          },
          "biometric_capture_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Capture Timestamp"
          },
          "biometric_artifact_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Artifact Type"
          },
          "biometric_artifact_upload": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Artifact Upload"
          },
          "is_biometric_attribute_reviewed": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Biometric Attribute Reviewed"
          },
          "biometric_attribute_review_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Attribute Review Timestamp"
          }
        },
        "additionalProperties": true,
        "type": "object",
        "title": "BiometricCaptureEventInput"
      },
      "BiometricCaptureSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/BiometricCaptureAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/BiometricCaptureData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "BiometricCaptureSubProduct"
      },
      "BiometricReviewAssertions": {
        "properties": {
          "biometric_review_assertion": {
            "type": "boolean",
            "title": "Biometric Review Assertion"
          },
          "biometric_review_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Review Timestamp"
          }
        },
        "type": "object",
        "required": [
          "biometric_review_assertion"
        ],
        "title": "BiometricReviewAssertions"
      },
      "BiometricReviewData": {
        "properties": {
          "biometric_image_quality_sufficient_for_comparison": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Image Quality Sufficient For Comparison"
          },
          "biometric_comparison_reference": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Comparison Reference"
          },
          "biometric_comparison_outcome": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Biometric Comparison Outcome"
          }
        },
        "type": "object",
        "title": "BiometricReviewData"
      },
      "BiometricReviewSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/BiometricReviewAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/BiometricReviewData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "BiometricReviewSubProduct"
      },
      "Body_ingest_csv_v1_file_upload_ingest_post": {
        "properties": {
          "file": {
            "type": "string",
            "contentMediaType": "application/octet-stream",
            "title": "File"
          },
          "slug": {
            "type": "string",
            "title": "Slug"
          }
        },
        "type": "object",
        "required": [
          "file",
          "slug"
        ],
        "title": "Body_ingest_csv_v1_file_upload_ingest_post"
      },
      "Body_kyb_certificate_furnish_via_upload_v1_products_kyb_certificate_furnish_via_upload_post": {
        "properties": {
          "file": {
            "type": "string",
            "contentMediaType": "application/octet-stream",
            "title": "File"
          }
        },
        "type": "object",
        "required": [
          "file"
        ],
        "title": "Body_kyb_certificate_furnish_via_upload_v1_products_kyb_certificate_furnish_via_upload_post"
      },
      "Body_kyc_certificate_furnish_via_upload_v1_products_kyc_certificate_furnish_via_upload_post": {
        "properties": {
          "file": {
            "type": "string",
            "contentMediaType": "application/octet-stream",
            "title": "File"
          }
        },
        "type": "object",
        "required": [
          "file"
        ],
        "title": "Body_kyc_certificate_furnish_via_upload_v1_products_kyc_certificate_furnish_via_upload_post"
      },
      "BusinessAddressOutput": {
        "properties": {
          "line_1": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Line 1"
          },
          "line_2": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Line 2"
          },
          "city": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "City"
          },
          "state": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "State"
          },
          "zip": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Zip"
          },
          "country": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Country"
          }
        },
        "type": "object",
        "title": "BusinessAddressOutput"
      },
      "BusinessConsentIdentityInput": {
        "properties": {
          "business_dba_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Dba Name"
          },
          "business_jurisdiction_of_formation": {
            "type": "string",
            "title": "Business Jurisdiction Of Formation"
          },
          "business_legal_name": {
            "type": "string",
            "title": "Business Legal Name"
          },
          "business_registration_identifier_from_jurisdiction_of_formation": {
            "type": "integer",
            "title": "Business Registration Identifier From Jurisdiction Of Formation"
          },
          "business_tax_identifier_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Tax Identifier Type"
          },
          "business_tax_identifier_value": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Tax Identifier Value"
          },
          "business_website_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Website Url"
          }
        },
        "type": "object",
        "required": [
          "business_jurisdiction_of_formation",
          "business_legal_name",
          "business_registration_identifier_from_jurisdiction_of_formation"
        ],
        "title": "BusinessConsentIdentityInput"
      },
      "BusinessIdentityVerificationAssertions": {
        "properties": {
          "business_identity_verification_assertion": {
            "type": "boolean",
            "title": "Business Identity Verification Assertion"
          },
          "business_identity_verification_performed_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Identity Verification Performed Timestamp"
          }
        },
        "type": "object",
        "required": [
          "business_identity_verification_assertion"
        ],
        "title": "BusinessIdentityVerificationAssertions"
      },
      "BusinessIdentityVerificationData": {
        "properties": {
          "business_formation_document_artifact": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Formation Document Artifact"
          },
          "business_dba_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Dba Name"
          },
          "business_website_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Website Url"
          },
          "business_jurisdiction_of_formation": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Jurisdiction Of Formation"
          },
          "business_registration_identifier": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Registration Identifier"
          },
          "business_identity_verification_sources": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Identity Verification Sources"
          },
          "business_entity_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Entity Type"
          },
          "business_registration_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Registration Status"
          },
          "business_operational_existence_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Operational Existence Status"
          },
          "business_tax_id_validation_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Tax Id Validation Result"
          },
          "business_address_verification_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Address Verification Result"
          },
          "business_registered_address": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/BusinessAddressOutput"
              },
              {
                "type": "null"
              }
            ]
          },
          "business_operating_address": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/BusinessAddressOutput"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "type": "object",
        "title": "BusinessIdentityVerificationData"
      },
      "BusinessIdentityVerificationEventInput": {
        "properties": {
          "is_identity_verified": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Identity Verified"
          },
          "identity_verification_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Identity Verification Timestamp"
          },
          "identity_verification_overall_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Identity Verification Overall Status"
          },
          "tax_id_validation_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Tax Id Validation Result"
          },
          "address_verification_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Address Verification Result"
          },
          "registration_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Registration Status"
          },
          "registration_identifier": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Registration Identifier"
          },
          "jurisdiction_of_formation": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Jurisdiction Of Formation"
          },
          "entity_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Entity Type"
          },
          "dba_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Dba Name"
          },
          "website_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Website Url"
          },
          "formation_document_artifact": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Formation Document Artifact"
          },
          "operational_existence_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Operational Existence Status"
          }
        },
        "additionalProperties": true,
        "type": "object",
        "title": "BusinessIdentityVerificationEventInput"
      },
      "BusinessIdentityVerificationSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/BusinessIdentityVerificationAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/BusinessIdentityVerificationData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "BusinessIdentityVerificationSubProduct"
      },
      "BusinessOwnershipControlVerificationAssertions": {
        "properties": {
          "business_ownership_control_verification_assertion": {
            "type": "boolean",
            "title": "Business Ownership Control Verification Assertion"
          },
          "business_ownership_control_verification_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Ownership Control Verification Timestamp"
          }
        },
        "type": "object",
        "required": [
          "business_ownership_control_verification_assertion"
        ],
        "title": "BusinessOwnershipControlVerificationAssertions"
      },
      "BusinessOwnershipControlVerificationData": {
        "properties": {
          "business_ownership_evidence_artifact": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Ownership Evidence Artifact"
          },
          "business_dba_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Dba Name"
          },
          "business_website_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Website Url"
          },
          "business_jurisdiction_of_formation": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Jurisdiction Of Formation"
          },
          "business_registration_identifier": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Registration Identifier"
          },
          "business_ownership_control_verification_overall_primary_source": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Ownership Control Verification Overall Primary Source"
          },
          "business_authority_determination_basis": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Authority Determination Basis"
          },
          "business_authorized_representatives_identified_count": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Authorized Representatives Identified Count"
          },
          "business_beneficial_owners_identified_count": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Beneficial Owners Identified Count"
          },
          "business_beneficial_ownership_determination_method": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Beneficial Ownership Determination Method"
          },
          "business_beneficial_ownership_threshold_applied": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Beneficial Ownership Threshold Applied"
          },
          "business_control_authority_evidence_reviewed_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Control Authority Evidence Reviewed Type"
          },
          "business_control_determination_basis": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Control Determination Basis"
          },
          "business_control_persons_identified_count": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Control Persons Identified Count"
          },
          "business_ownership_control_verification_overall_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Ownership Control Verification Overall Status"
          },
          "business_ownership_evidence_reviewed_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Ownership Evidence Reviewed Type"
          }
        },
        "type": "object",
        "title": "BusinessOwnershipControlVerificationData"
      },
      "BusinessOwnershipControlVerificationEventInput": {
        "properties": {
          "is_ownership_control_verified": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Ownership Control Verified"
          },
          "ownership_control_verification_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Ownership Control Verification Timestamp"
          },
          "ownership_control_verification_overall_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Ownership Control Verification Overall Status"
          },
          "ownership_control_verification_overall_primary_source": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Ownership Control Verification Overall Primary Source"
          },
          "beneficial_owners_identified_count": {
            "anyOf": [
              {
                "type": "number"
              },
              {
                "type": "null"
              }
            ],
            "title": "Beneficial Owners Identified Count"
          },
          "control_persons_identified_count": {
            "anyOf": [
              {
                "type": "number"
              },
              {
                "type": "null"
              }
            ],
            "title": "Control Persons Identified Count"
          },
          "authority_determination_basis": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Authority Determination Basis"
          },
          "ownership_evidence_artifact": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Ownership Evidence Artifact"
          }
        },
        "additionalProperties": true,
        "type": "object",
        "title": "BusinessOwnershipControlVerificationEventInput"
      },
      "BusinessOwnershipControlVerificationSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/BusinessOwnershipControlVerificationAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/BusinessOwnershipControlVerificationData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "BusinessOwnershipControlVerificationSubProduct"
      },
      "BusinessRiskComplianceAssessmentAssertions": {
        "properties": {
          "business_risk_compliance_verification_assertion": {
            "type": "boolean",
            "title": "Business Risk Compliance Verification Assertion"
          },
          "business_risk_compliance_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Risk Compliance Timestamp"
          }
        },
        "type": "object",
        "required": [
          "business_risk_compliance_verification_assertion"
        ],
        "title": "BusinessRiskComplianceAssessmentAssertions"
      },
      "BusinessRiskComplianceAssessmentData": {
        "properties": {
          "business_dba_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Dba Name"
          },
          "business_website_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Website Url"
          },
          "business_jurisdiction_of_formation": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Jurisdiction Of Formation"
          },
          "business_registration_identifier": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Registration Identifier"
          },
          "business_primary_activity_classification_code": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Primary Activity Classification Code"
          },
          "business_primary_activity_classification_system": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Primary Activity Classification System"
          },
          "business_activity_risk_level": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Activity Risk Level"
          },
          "business_adverse_media_assessment_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Adverse Media Assessment Result"
          },
          "business_compliance_screening_scope_applied": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Compliance Screening Scope Applied"
          },
          "business_restricted_activity_assessment_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Restricted Activity Assessment Result"
          },
          "business_risk_compliance_assessment_overall_primary_source": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Risk Compliance Assessment Overall Primary Source"
          },
          "business_risk_compliance_assessment_overall_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Risk Compliance Assessment Overall Status"
          },
          "business_risk_compliance_assessment_timestamp": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Risk Compliance Assessment Timestamp"
          },
          "business_sanctions_screening_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Sanctions Screening Result"
          }
        },
        "type": "object",
        "title": "BusinessRiskComplianceAssessmentData"
      },
      "BusinessRiskComplianceAssessmentSubProduct": {
        "properties": {
          "furnishing_entity_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Furnishing Entity Id"
          },
          "attestation_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid"
              },
              {
                "type": "null"
              }
            ],
            "title": "Attestation Id"
          },
          "assertions": {
            "$ref": "#/components/schemas/BusinessRiskComplianceAssessmentAssertions"
          },
          "data": {
            "$ref": "#/components/schemas/BusinessRiskComplianceAssessmentData"
          }
        },
        "type": "object",
        "required": [
          "assertions",
          "data"
        ],
        "title": "BusinessRiskComplianceAssessmentSubProduct"
      },
      "BusinessRiskComplianceEventInput": {
        "properties": {
          "is_risk_compliance_assessed": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ],
            "title": "Is Risk Compliance Assessed"
          },
          "risk_compliance_assessment_timestamp": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Risk Compliance Assessment Timestamp"
          },
          "risk_compliance_assessment_overall_status": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Risk Compliance Assessment Overall Status"
          },
          "sanctions_screening_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Sanctions Screening Result"
          },
          "adverse_media_assessment_result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Adverse Media Assessment Result"
          },
          "activity_risk_level": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Activity Risk Level"
          },
          "primary_activity_classification_code": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Primary Activity Classification Code"
          },
          "primary_activity_classification_system": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Primary Activity Classification System"
          }
        },
        "additionalProperties": true,
        "type": "object",
        "title": "BusinessRiskComplianceEventInput"
      },
      "BusinessSearchResult": {
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
          },
          "identifier": {
            "type": "string",
            "title": "Identifier"
          },
          "created_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Created At"
          },
          "updated_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Updated At"
          },
          "business_legal_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Legal Name"
          },
          "business_dba_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Dba Name"
          },
          "business_email": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Email"
          },
          "business_entity_type": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Entity Type"
          },
          "business_date_of_incorporation": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Date Of Incorporation"
          },
          "business_phone": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Phone"
          },
          "business_website_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Business Website Url"
          },
          "federal_ein": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "title": "Federal Ein"
          },
          "employee_count": {
            "anyOf": [
              {
                "type": "string",
                "pattern": "^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$"
              },
              {
                "type": "null"
              }
            ],
            "title": "Employee Count"
          }
        },
        "type": "object",
        "required": [
          "id",
          "identifier"
        ],
        "title": "BusinessSearchResult"
      },
      "ConsentBusinessCreateInput": {
        "properties": {
          "did_gather_consent_from_business_prior": {
            "type": "boolean",
            "title": "Did Gather Consent From Business Prior"
          },
          "business_consent_identity": {
            "$ref": "#/components/schemas/BusinessConsentIdentityInput"
[...]
